| Method | URI | Description |
|---|---|---|
| GET | /v2/{tenant_id}/servers/{server_id}/os-attach-interfaces/{attachment_id} | Shows information about a specified port interface. |
Normal response codes: 202
This table shows the URI parameters for the show attached interface information request:
| Name | Type | Description |
|---|---|---|
| String | The ID for the tenant or account in a multi-tenancy cloud. |
| UUID | The UUID for the server of interest to you. |
| UUID | The interface ID. |
This operation does not require a request body.
Example 3.145. Show attached interface information: JSON response
{
"interfaceAttachment": {
"port_state": "ACTIVE",
"fixed_ips": [
{
"subnet_id": "f8a6e8f8-c2ec-497c-9f23-da9616de54ef",
"ip_address": "192.168.1.3"
}
],
"net_id": "3cb9bc59-5699-4588-a4b1-b87f96708bc6",
"port_id": "ce531f90-199f-48c0-816c-13e38010b442",
"mac_addr": "fa:16:3e:4c:2c:30"
}
}
Example 3.146. Show attached interface information: XML response
<?xml version="1.0" encoding="UTF-8"?>
<interfaceAttachment>
<port_state>ACTIVE</port_state>
<fixed_ips>
<fixed_ip>
<subnet_id>b6e47749-6bf0-4d6e-ae4b-ba6b5e238510</subnet_id>
<ip_address>192.168.123.131</ip_address>
</fixed_ip>
</fixed_ips>
<port_id>89e64f2e-86bd-4c19-9155-4548b36fdcb2</port_id>
<net_id>a9efd207-2c1a-4cdd-a296-d3c7c3211302</net_id>
<mac_addr>fa:16:3e:a4:1c:12</mac_addr>
</interfaceAttachment>
This operation does not return a response body.

